---
- name: Install TensorFlow build dependencies
  ansible.builtin.include_role:
    name: tensorflow
    tasks_from: deps.yml

- name: Install build dependencies for Python wheels
  ansible.builtin.include_role:
    name: python
    tasks_from: deps.yml

- name: Create buildslave user inside container
  ansible.builtin.user:
    name: buildslave
    uid: 1001
    create_home: false

- name: Create directory to build wheels
  ansible.builtin.file:
    path: "{{ wheels_dir }}"
    state: directory
    owner: buildslave
    group: buildslave
    mode: 0755
